Show / Hide Table of Contents

# Struct DutySlotList

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct DutySlotList

### Fields

| Improve this Doc View Source

#### addon

##### Declaration

    public void *addon

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### CancelButton

##### Declaration

    public AtkComponentButton*CancelButton

##### Field Value

Type | Description
--- | ---
AtkComponentButton* |

| Improve this Doc View Source

#### DutyContainer

##### Declaration

    public AtkResNode*DutyContainer

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### DutySlot1

##### Declaration

    public DutySlot DutySlot1

##### Field Value

Type | Description
--- | ---
DutySlot |

| Improve this Doc View Source

#### DutySlot10

##### Declaration

    public DutySlot DutySlot10

##### Field Value

Type | Description
--- | ---
DutySlot |

| Improve this Doc View Source

#### DutySlot11

##### Declaration

    public DutySlot DutySlot11

##### Field Value

Type | Description
--- | ---
DutySlot |

| Improve this Doc View Source

#### DutySlot12

##### Declaration

    public DutySlot DutySlot12

##### Field Value

Type | Description
--- | ---
DutySlot |

| Improve this Doc View Source

#### DutySlot13

##### Declaration

    public DutySlot DutySlot13

##### Field Value

Type | Description
--- | ---
DutySlot |

| Improve this Doc View Source

#### DutySlot14

##### Declaration

    public DutySlot DutySlot14

##### Field Value

Type | Description
--- | ---
DutySlot |

| Improve this Doc View Source

#### DutySlot15

##### Declaration

    public DutySlot DutySlot15

##### Field Value

Type | Description
--- | ---
DutySlot |

| Improve this Doc View Source

#### DutySlot16

##### Declaration

    public DutySlot DutySlot16

##### Field Value

Type | Description
--- | ---
DutySlot |

| Improve this Doc View Source

#### DutySlot2

##### Declaration

    public DutySlot DutySlot2

##### Field Value

Type | Description
--- | ---
DutySlot |

| Improve this Doc View Source

#### DutySlot3

##### Declaration

    public DutySlot DutySlot3

##### Field Value

Type | Description
--- | ---
DutySlot |

| Improve this Doc View Source

#### DutySlot4

##### Declaration

    public DutySlot DutySlot4

##### Field Value

Type | Description
--- | ---
DutySlot |

| Improve this Doc View Source

#### DutySlot5

##### Declaration

    public DutySlot DutySlot5

##### Field Value

Type | Description
--- | ---
DutySlot |

| Improve this Doc View Source

#### DutySlot6

##### Declaration

    public DutySlot DutySlot6

##### Field Value

Type | Description
--- | ---
DutySlot |

| Improve this Doc View Source

#### DutySlot7

##### Declaration

    public DutySlot DutySlot7

##### Field Value

Type | Description
--- | ---
DutySlot |

| Improve this Doc View Source

#### DutySlot8

##### Declaration

    public DutySlot DutySlot8

##### Field Value

Type | Description
--- | ---
DutySlot |

| Improve this Doc View Source

#### DutySlot9

##### Declaration

    public DutySlot DutySlot9

##### Field Value

Type | Description
--- | ---
DutySlot |

| Improve this Doc View Source

#### NumSecondChances

##### Declaration

    public uint NumSecondChances

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SecondChanceButton

##### Declaration

    public AtkComponentButton*SecondChanceButton

##### Field Value

Type | Description
--- | ---
AtkComponentButton* |

| Improve this Doc View Source

#### SecondChancesRemaining

##### Declaration

    public AtkTextNode*SecondChancesRemaining

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### vtbl

##### Declaration

    public void **vtbl

##### Field Value

Type | Description
--- | ---
System.Void** |

### Properties

| Improve this Doc View Source

#### Item[Int32]

##### Declaration

    public readonly DutySlot this[int index] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Property Value

Type | Description
--- | ---
DutySlot |